# Couenne::exprUpperBound Class Reference

upper bound More...

`#include <CouenneExprBound.hpp>`

Inheritance diagram for Couenne::exprUpperBound:

List of all members.

## Public Member Functions
enum nodeType | Type () const
| Node type.
| exprUpperBound (int varIndex, Domain *d=NULL)
| Constructor.
| exprUpperBound (const exprUpperBound &src, Domain *d=NULL)
| Copy constructor.
exprUpperBound * | clone (Domain *d=NULL) const
| cloning method
void | print (std::ostream &out=std::cout, bool=false) const
| Print to iostream.
CouNumber | operator() ()
| return the value of the variable
expression * | differentiate (int)
| differentiation
int | dependsOn (int *, int, enum dig_type type=STOP_AT_AUX)
| dependence on variable set
virtual int | Linearity ()
| get a measure of "how linear" the expression is:
virtual enum expr_type | code ()
| code for comparisons

## Detailed Description

upper bound

Definition at line 87 of file CouenneExprBound.hpp.

## Constructor & Destructor Documentation

Couenne::exprUpperBound::exprUpperBound | ( | int | varIndex,
|  | Domain * | d = `NULL` |
| ) |  |  | `[inline]`

Constructor.

Definition at line 96 of file CouenneExprBound.hpp.

Referenced by clone().

Couenne::exprUpperBound::exprUpperBound | ( | const exprUpperBound & | src,
|  | Domain * | d = `NULL` |
| ) |  |  | `[inline]`

Copy constructor.

Definition at line 100 of file CouenneExprBound.hpp.

## Member Function Documentation

enum nodeType Couenne::exprUpperBound::Type | ( |  | ) | const`[inline, virtual]`

Node type.

Reimplemented from Couenne::exprVar.

Definition at line 92 of file CouenneExprBound.hpp.

References Couenne::CONST.

exprUpperBound* Couenne::exprUpperBound::clone | ( | Domain * | d = `NULL` | ) | const`[inline, virtual]`

cloning method

Reimplemented from Couenne::exprVar.

Definition at line 104 of file CouenneExprBound.hpp.

References exprUpperBound().

void Couenne::exprUpperBound::print | ( | std::ostream & | out = `std::cout`,
|  | bool | = `false` |
| ) |  |  | const`[inline, virtual]`

Print to iostream.

Reimplemented from Couenne::exprVar.

Definition at line 108 of file CouenneExprBound.hpp.

References Couenne::exprVar::varIndex_.

CouNumber Couenne::exprUpperBound::operator() | ( |  | ) | `[inline, virtual]`

return the value of the variable

Reimplemented from Couenne::exprVar.

Definition at line 113 of file CouenneExprBound.hpp.

References Couenne::exprVar::domain_, Couenne::exprVar::ub(), and Couenne::exprVar::varIndex_.

expression* Couenne::exprUpperBound::differentiate | ( | int |  | ) | `[inline, virtual]`

differentiation

Reimplemented from Couenne::exprVar.

Definition at line 117 of file CouenneExprBound.hpp.

int Couenne::exprUpperBound::dependsOn | ( | int * | ,
|  | int | ,
|  | enum dig_type | type = `STOP_AT_AUX` |
| ) |  |  | `[inline, virtual]`

dependence on variable set

Reimplemented from Couenne::expression.

Definition at line 121 of file CouenneExprBound.hpp.

virtual int Couenne::exprUpperBound::Linearity | ( |  | ) | `[inline, virtual]`

get a measure of "how linear" the expression is:

Reimplemented from Couenne::exprVar.

Definition at line 125 of file CouenneExprBound.hpp.

References Couenne::CONST.

virtual enum expr_type Couenne::exprUpperBound::code | ( |  | ) | `[inline, virtual]`

code for comparisons

Reimplemented from Couenne::exprVar.

Definition at line 129 of file CouenneExprBound.hpp.

References Couenne::COU_EXPRUBOUND.

The documentation for this class was generated from the following file:

- CouenneExprBound.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines